<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.BudgetListActivity">

    <androidx.appcompat.widget.Toolbar
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@drawable/drawable_maintxtbg">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal">
            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"
                app:srcCompat="@drawable/ic_arrow_back_"/>



            <TextView
                android:id="@+id/txtHead"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@android:color/white"
                android:gravity="center_vertical"

                android:layout_marginLeft="@dimen/dimen_50dp"
                android:layout_centerVertical="true"
                android:textSize="@dimen/dimen_15sp"
                android:layout_alignParentLeft="true"
                android:text="Budget" />

            <ImageView
                android:id="@+id/imgdelete"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"

                android:visibility="gone"
                android:layout_marginRight="@dimen/dimen_30dp"
                android:layout_alignParentRight="true"
                app:srcCompat="@drawable/ic_delete_"/>
        </RelativeLayout>

    </androidx.appcompat.widget.Toolbar>


    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:orientation="vertical"
        tools:context=".fragments.SetBudgetFragment">




        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/dimen_10dp"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dimen_50dp"
                        android:layout_margin="@dimen/dimen_4dp"
                        android:layout_weight="0.5"
                        android:background="@drawable/drawable_squarebg">
                        <Spinner
                            android:id="@+id/spinnerYear"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"

                            android:padding="@dimen/dimen_10dp"/>

                    </LinearLayout>




                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dimen_50dp"
                        android:layout_margin="@dimen/dimen_4dp"
                        android:layout_weight="0.5"
                        android:orientation="vertical"
                        android:background="@drawable/drawable_squarebg">
                        <Spinner
                            android:id="@+id/spinnerAccountName"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:visibility="gone"

                            />

                        <TextView
                            android:id="@+id/txtSpinner"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"

                            android:textSize="@dimen/dimen_15sp"
                            android:gravity="center"
                            android:maxLines="1"
                            android:ellipsize="end"
                            android:drawableRight="@drawable/ic_spinnerr"
                            android:text="Select An Account"/>

                    </LinearLayout>





                </LinearLayout>




                <EditText
                    android:id="@+id/edtAmount"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dimen_50dp"

                    android:layout_marginLeft="@dimen/dimen_15dp"
                    android:layout_marginRight="@dimen/dimen_15dp"
                    android:hint="Amount per month"
                    android:gravity="right|center_vertical"
                    android:padding="@dimen/dimen_10dp"
                    android:inputType="numberDecimal"
                    android:background="@drawable/drawable_squarebg"/>










                <Button
                    android:id="@+id/submit"
                    android:layout_width="@dimen/dimen_120dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"

                    android:layout_margin="@dimen/dimen_10dp"
                    android:textSize="@dimen/dimen_15sp"
                    android:textAllCaps="false"
                    android:background="@drawable/drawable_btnbg"

                    android:text="Submit"
                    android:textColor="@color/white" />

                <LinearLayout
                    android:id="@+id/layout_title"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:visibility="gone"
                    android:layout_marginLeft="@dimen/dimen_10dp"

                    android:layout_marginRight="@dimen/dimen_10dp"
                    android:layout_marginTop="@dimen/dimen_4dp"
                    android:orientation="vertical">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/drawable_squarebg"

                        android:orientation="horizontal">

                        <TextView


                            android:id="@+id/txtmonth"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:gravity="center"
                            android:text="Month"
                            android:background="@drawable/drawable_squarebg"
                            android:padding="@dimen/dimen_10dp"
                            android:layout_weight="0.33"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/dimen_15sp"



                            android:layout_alignParentLeft="true"

                            android:layout_centerVertical="true"



                            />

                        <TextView

                            android:id="@+id/txtamount"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:gravity="center"
                            android:text="Amount  "
                            android:background="@drawable/drawable_squarebg"
                            android:padding="@dimen/dimen_10dp"
                            android:layout_weight="0.33"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/dimen_15sp"



                            android:layout_alignParentLeft="true"

                            android:layout_centerVertical="true"



                            />

                        <TextView

                            android:id="@+id/txtaction"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_vertical"
                            android:gravity="center"
                            android:text="Action  "
                            android:padding="@dimen/dimen_10dp"
                            android:background="@drawable/drawable_squarebg"
                            android:layout_weight="0.33"
                            android:textColor="@android:color/black"
                            android:textSize="@dimen/dimen_15sp"



                            android:layout_alignParentLeft="true"

                            android:layout_centerVertical="true"



                            />


                    </LinearLayout>



                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recycler"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="0.25"/>


                    <TextView

                        android:id="@+id/txtTotal"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="center_vertical"
                        android:gravity="left|center_vertical"
                        android:text=""
                        android:layout_weight="0.75"
                        android:textColor="@android:color/black"
                        android:textSize="@dimen/dimen_15sp"
                        android:paddingLeft="@dimen/dimen_10dp"


                        android:layout_alignParentLeft="true"

                        android:layout_centerVertical="true"



                        />


                </LinearLayout>


            </LinearLayout>



            <com.google.android.material.floatingactionbutton.FloatingActionButton
                app:fabSize="normal"
                android:id="@+id/fab_addtask"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:fabCustomSize="@dimen/dimen_50dp"
                android:visibility="gone"
                app:srcCompat="@drawable/ic_add_"
                android:layout_gravity="bottom|right"
                android:layout_margin="@dimen/dimen_15dp"/>




        </FrameLayout>


    </LinearLayout>

</LinearLayout>